<?php
/*******************************************************************
 * 版权协议：2009-2019
 * 版权所有: PHP-北京金南曦网络技术有限公司旗下PHPWMS，PHP商城系统技术支持中心http://www.php188.net，并保留所有权利。 
* PHP商城系统网址: http://www.php188.com
 * PHPWMS系统网址：http://www.phpwms.com
 * 销售电话：010-87875088
 * 销售电话：010-87875188 
*------------------------------------------------------------------
 * 这不是一个完全免费软件！您只能在不用于商业目的的前提下对程序代码进
 * 行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 *------------------------------------------------------------------
 * 文件名称：admin_db.php
 * 摘　　要：数据库管理
 * 适用范围：PHPWMS 1.0
 * 版　　本：1.0
 *------------------------------------------------------------------
 * Script Written By phpwms项目组
 * 最后更新： 2009-09-24 phpwms 由PHP金南曦网络技术有限公司整理发布
 *******************************************************************/
if(!defined('IN_SYS'))exit('access die');
//$dbo = newClass(array('classname'=>'db_operate','parr'=>array('db'=>$db,'tbprefix'=>$tbprefix)));
if(!class_exists('DbOperate'))require SYS_ROOT.'include/classes/cls.db_operate.php';
$dbo = new DbOperate();
$do = trim($_GET['do']);
$tpl -> assign("do",$do);
switch ($do) {
	case 'backup':
		$pn  = '数据库备份';
		$tb_arr = $dbo -> getAllTabName();
		$tpl -> assign("tb_arr",$tb_arr);
		break;
	case 'recover':
		if (!getAdminPri('9002'))exit(NO_AUTH_LOGIN);
		$tb_arr = $dbo -> getBackupFileInfo();
		$tpl -> assign("tb_arr",$tb_arr);
		$pn  = '导入备份数据';
		break;
	case 'backincheck':
		if (!getAdminPri('9002'))exit(NO_AUTH_LOGIN);
		$tpl -> assign("pre",$_GET['pre']);
		$pn  = '确认导入备份';
		break;
	case 'optimize':
		if (!getAdminPri('9003'))exit(NO_AUTH_LOGIN);
		$pn  = '数据库优化';
		$tb_arr = $dbo -> getAllTabName();
		$tpl -> assign("tb_arr",$tb_arr);
		break;
	case 'repair':
		if (!getAdminPri('9003'))exit(NO_AUTH_LOGIN);
		$pn  = '数据库修复';	
		$tb_arr = $dbo -> getAllTabName();
		$tpl -> assign("tb_arr",$tb_arr);
		break;
}
$tpl -> assign("admin_nav",shownav($pn));
$sp  -> outPut('db_operate.tpl',$pn);
?>